﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_PartLabelPrintingScript")

<div class="content">
    <fieldset>
        
        <table style="width: 10%;" >
            <tr style="height:40px;">
                <td style="width: 1%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "MAD";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 30%; text-align:right;">
                    @*@Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_MAD";
                        settings.Width = 75;
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.DisplayFormatString = "MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = false;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "MM.yyyy";
                        //settings.Date = DateTime.Now;
                        //settings.Properties.ClientSideEvents.ValueChanged = "ValidFrom_OnChanged";
                    }).GetHtml()*@
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_MAD";
                        settings.Width = 75;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
                <td style="width: 20%; text-align:right; padding-right: 10px;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Supplier";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 30%; text-align:right;">
                    @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_SUPPLIER";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 240;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    settings.Properties.TextFormatString = "{0}";
                    settings.SelectedIndex = 0;
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.ValueField = "SUPP_CD";
                    settings.Properties.TextField = "SUPP_DESC";
                }).BindList(ViewData["SUPPLIER"]).GetHtml()
                    @*@Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SUPPLIER";
                        settings.Width = 150;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()*@
                </td>
            </tr>
            <tr>
                <td style="width: 1%;">
                    @Html.DevExpress().Label(
                   Label =>
                   {
                       Label.Text = "Part No";
                       Label.Width = 90;
                   }).GetHtml()
                </td>

                <td style="width: 30%; text-align:right;">
                    @Html.DevExpress().TextBox(
                   settings =>
                   {
                       settings.Name = "I_PART_NO";
                       settings.Width = 150;
                       settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                   }
                    ).GetHtml()
                </td>

                <td style="width: 20%; text-align:right; padding-right: 10px;">
                    @Html.DevExpress().Label(
                     Label =>
                     {
                         Label.Text = "Qty Print";
                         Label.Width = 90;
                     }).GetHtml()
                </td>

                
                <td style="width: 30%; text-align:right;">
                    @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "I_QTY_PRINT";
                            settings.Width = 150;
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
                </td>
               </tr>
        </table>
        <br />
        <table style="width: 100%;">
            <tr>
                <td style="width: 7.8%">
                  
                </td>
                <td style="width: 15%">
                    @Html.Partial("_UploadPartial")
                </td>
                <td>
                    @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "";
                            Label.Width = 10;
                        }).GetHtml()
                    @Html.DevExpress().Button(Button =>
                        {
                        Button.Name = "cmdUploadData";
                        Button.Text = "Upload";
                        Button.Width = 90;
                        Button.ClientSideEvents.Click = "OnUploadData";
                        Button.Style.Add("display", "inline-table");
                        Button.UseSubmitBehavior = true;
                        Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartLabelPrinting", "FTR-SPEX-179-02", "UPLOAD");
                    }).GetHtml()
                </td>
            </tr>
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    Label =>
                    {
                            Label.Text = "";
                    }).GetHtml()
                </td>
                <td>

                    @Html.DevExpress().HyperLink(Link =>
                    {
                            Link.Name = "cmdDownloadLink";
                            Link.Properties.Text = "Download Format";
                            Link.Width = 160;
                            //Link.Height = 20;
                            Link.NavigateUrl = "Template/TemplatePartLabelPrinting.xlsx";
                            Link.Style.Add("display", "inline-table");
                            //Button.ClientSideEvents.Click = "Upload";
                        }).GetHtml()
                </td>
                <td style="text-align:right" width="80%" >
                    @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdSearch";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Search";
                            edtSetting.ClientSideEvents.Click = "OnSearch";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            edtSetting.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartLabelPrinting", "FTR-SPEX-179-01", "SEARCH");
                        }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdPrintAll";
                            edtSetting.Width = 90;
                            edtSetting.Text = "Print All";
                            edtSetting.ClientSideEvents.Click = "OnPrintAll";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            edtSetting.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartLabelPrinting", "FTR-SPEX-179-04", "PRINTALL");
                        }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdPrint";
                            edtSetting.Width = 90;
                            edtSetting.Text = "Print";
                            edtSetting.ClientSideEvents.Click = "OnPrint";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            edtSetting.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartLabelPrinting", "FTR-SPEX-179-03", "PRINT");
                        }).GetHtml()

                   
                </td>
                <td style="padding:5px">
                     @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_PRINTER";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    settings.Properties.TextFormatString = "{0}";
                    settings.SelectedIndex = 0;
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.ValueField = "PRINTER_NAME";
                    settings.Properties.TextField = "PRINTER_NAME";
                }).BindList(ViewData["PrinterCmb"]).GetHtml()</td>
            </tr>
        </table>
    </fieldset>
</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("PartLabelPrintingGrid")
</div>
